/*
 ============================================================================
 Name        : InClass1.c
 Author      : Alex Nelson
 Version     :
 Copyright   : 
 Description : Starter driver file for In-Class Assignment
 ============================================================================
 */

#include <stdio.h>
#include <stdlib.h>
#include "LinkedList.h"

int main(void) {

	LIST * myList,*list1,*list2,*list3,*list4;
	int i= 0;
	//Create all lists
	myList = CreateList();
	list1 = CreateList();
	list2 = CreateList();
	list3 = CreateList();
	list4 = CreateList();

	//Insert values into lists1-4
	for(i=0;i<5;i++){
		InsertInt(list1, i, i+1);
		InsertInt(list2, i, 5-i);
		InsertInt(list3, i, -1*(i+1));
		InsertInt(list4, i, -1*(5-i));
	}
	//Print lists 1-4
	PrintList(list1);
	PrintList(list2);
	PrintList(list3);
	PrintList(list4);

	//Delete indices
	DeleteIndex(list1,0);
	DeleteIndex(list2,1);
	DeleteIndex(list3,3);
	DeleteIndex(list4,4);

	//Print backwards
	PrintBackwards(list1);
	PrintBackwards(list2);
	PrintBackwards(list3);
	PrintBackwards(list4);

	//Insert lists into myList
	InsertList(myList,0,list1);
	InsertList(myList,1,list2);
	InsertList(myList,2,list3);
	InsertList(myList,3,list4);

	//Print list of lists
	PrintList(myList);

	//Delete 2 lists from list of list
	DeleteIndex(myList,0);
	DeleteIndex(myList,2);
	//Print list of lists
	PrintList(myList);

	//Show that list is abstract and can contain
	//integer or list at each node
	InsertInt(myList,2,5);
	InsertInt(myList,0,17);
	InsertInt(myList,2,-11);
	//Print out complex list
	PrintList(myList);

	DeleteList(myList);
	myList = NULL;
	i = 15;
	return 0;
}
